> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vlm.run/llms.txt
> Use this file to discover all available pages before exploring further.

# List all models

> List all available models.

<Tip>Our VLM Agents are fully compatible with the OpenAI API. Notably, our API also supports a whole range of features with multi-modal data types that OpenAI currently does not support. Our OpenAI-Compatible endpoint is available at `https://api.vlm.run/v1/openai`.</Tip>


## OpenAPI

````yaml https://api.vlm.run/openapi.json GET /v1/openai/models
openapi: 3.1.0
info:
  title: VLM Run Unified Server
  description: Unified server for VLM Run Agent and API
  termsOfService: https://vlm.run/terms-of-service
  contact:
    name: VLM Run Support Team
    url: https://vlm.run/
    email: support@vlm.run
  version: 2026-05-19.0
servers: []
security: []
paths:
  /v1/openai/models:
    get:
      tags:
        - chat
      summary: Models
      description: List all available models.
      operationId: models_v1_openai_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Model'
      security:
        - HTTPBearer: []
components:
  schemas:
    Model:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ChatModel'
          type: array
          title: Data
        object:
          type: string
          title: Object
          default: list
      type: object
      required:
        - data
      title: Model
    ChatModel:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: model
          title: Object
          default: model
        created:
          type: integer
          title: Created
        owned_by:
          type: string
          title: Owned By
          default: vlm-run
      type: object
      required:
        - id
      title: ChatModel
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````